<template>
<picture class="photoimg">
    <source :srcset='srcWebp' type="image/webp"/>
    <source :srcset='srcJpeg'/>
    <img :src='srcJpeg'
        :width='width'
        :height='height'
        :alt='alt || "."'
        loading="lazy"/>
</picture>
</template>

<script lang="ts">
import {Vue, Options, Prop} from '@/vue';

@Options<PhotoImg>({})
export default class PhotoImg extends Vue {
    @Prop({default: ''}) alt!: string;
    @Prop({default: ''}) src!: string;
    @Prop({default: null}) width!: number|null;
    @Prop({default: null}) height!: number|null;
    get srcJpeg():string {
        return '/resort/' + this.src;
    }
    get srcWebp():string {
        const imageExt = /\.(png|gif|jpe?g|jfif)$/;
        return this.srcJpeg.replace(imageExt, '.webp');
    }
}
</script>

 <style lang="less">
.photoimg {
    box-sizing: border-box;
    display: inline-block;
    min-height: 1.5rem;
    min-width: 2.5rem;
    object-fit: scale-down;
    overflow: hidden;
    & > img {
        max-height: 100%;
        object-fit: inherit;
        display: block;
        width: 100%;
        height: 100%;
    }
}
</style>